Bug 1216967: Bump Marionette Python packages
authorAndreas Tolfsen <ato@mozilla.com>
Wed, 21 Oct 2015 14:21:27 +0100
changeset 268999 47ed1d702eed0eab1533236f997cbf07afe900cd
parent 268998 d5aa550a2e1f668cbfd7700b8323d8606d01ed5d
child 269000 3888eea6aaf2329e5f5f44fa2b56346627ebdc7e
push id66989
push useratolfsen@mozilla.com
push dateThu, 22 Oct 2015 17:26:47 +0000
treeherdermozilla-inbound@47ed1d702eed [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
bugs1216967
milestone44.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1216967: Bump Marionette Python packages Prepare release of new Python packages for Marionette, with the following versions: marionette-client 1.1.0 marionette-driver 1.1.0 marionette-transport 1.0.0 r=dburns
testing/luciddream/requirements.txt
testing/marionette/client/marionette/__init__.py
testing/marionette/client/requirements.txt
testing/marionette/driver/marionette_driver/__init__.py
testing/marionette/driver/requirements.txt
testing/marionette/transport/marionette_transport/__init__.py
--- a/testing/luciddream/requirements.txt
+++ b/testing/luciddream/requirements.txt
@@ -1,2 +1,2 @@
-marionette-client>=0.8.5
-mozlog>=3.0
+marionette-client >= 1.1.0
+mozlog >= 3.0
--- a/testing/marionette/client/marionette/__init__.py
+++ b/testing/marionette/client/marionette/__init__.py
@@ -1,14 +1,13 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-
-__version__ = '1.0.0'
+__version__ = '1.1.0'
 
 from .marionette_test import (
     CommonTestCase,
     expectedFailure,
     MarionetteJSTestCase,
     MarionetteTestCase,
     skip,
     SkipTest,
--- a/testing/marionette/client/requirements.txt
+++ b/testing/marionette/client/requirements.txt
@@ -1,9 +1,9 @@
-marionette-driver >= 1.0.0
+marionette-driver >= 1.1.0
 browsermob-proxy >= 0.6.0
 manifestparser >= 1.1
 mozhttpd >= 0.7
 mozinfo >= 0.8
 mozprocess >= 0.9
 mozrunner >= 6.9
 mozdevice >= 0.44
 mozlog >= 3.0
--- a/testing/marionette/driver/marionette_driver/__init__.py
+++ b/testing/marionette/driver/marionette_driver/__init__.py
@@ -1,16 +1,24 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-
-__version__ = '1.0.0'
-
+__version__ = '1.1.0'
 
-from marionette_driver import ( errors, by, decorators, expected, geckoinstance,
-                                gestures, keys, marionette, selection, wait,
-                                date_time_value )
+from marionette_driver import (
+    by,
+    date_time_value,
+    decorators,
+    errors,
+    expected,
+    geckoinstance,
+    gestures,
+    keys,
+    marionette,
+    selection,
+    wait,
+)
 from marionette_driver.by import By
 from marionette_driver.date_time_value import DateTimeValue
 from marionette_driver.gestures import smooth_scroll, pinch
+from marionette_driver.marionette import Actions
 from marionette_driver.wait import Wait
-from marionette_driver.marionette import Actions
--- a/testing/marionette/driver/requirements.txt
+++ b/testing/marionette/driver/requirements.txt
@@ -1,2 +1,2 @@
-marionette-transport == 0.7.1
+marionette-transport == 1.0.0
 mozrunner >= 6.9
--- a/testing/marionette/transport/marionette_transport/__init__.py
+++ b/testing/marionette/transport/marionette_transport/__init__.py
@@ -1,7 +1,7 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/
 
-__version__ = '0.7.1'
+__version__ = '1.0.0'
 
 from transport import *